at.chipkarte.client.elgaad.soap

## Class Abgabe

- Object
- - at.chipkarte.client.elgaad.soap.Abgabe

-     public class Abgabe
      extends Object

  Abgabedaten.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Abgabe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabeId()` Id des MedikationAbgabe-Entry.
    `Integer` | `getAbgegebenePackungsanzahl()` Die abgegebene Packungsanzahl der Medikation.
    `String` | `getAenderungszeitpunkt()` Zeitpunkt der Änderung.
    `Arznei` | `getArznei()` Arznei die abgegeben wird.
    `Dosierung` | `getDosierung()` Dosierung der Abgabe.
    `Einnahmedauer` | `getEinnahmedauer()` Dauer der Einnahme.
    `String` | `getEinnahmeende()` Endzeitpunkt der Einnahme.
    `String` | `getEinnahmestart()` Startzeitpunkt der Einnahme.
    `Code` | `getKennzeichenTeilabgabe()` Kennzeichen, ob die Abgabe eine zugrundeliegende Verordnung vollständig oder partiell (zum Beispiel im Falle einer Bestellung) erfüllt.
    `Metadaten` | `getMetadaten()` Metadaten des Dokuments.
    `String` | `getStatus()` Status der Abgabe.
    `Code` | `getTherapieart()` Therapieart.
    `String` | `getValidierungsId()` ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
    `String` | `getVerordnungId()` Id der Verordnung, auf der die Abgabe basiert.
    `Zusatzinformation` | `getZusatzinformationen()` Zusatzinformation zur Abgabe.
    `void` | `setAbgabeId(String abgabeId)`
    `void` | `setAbgegebenePackungsanzahl(Integer abgegebenePackungsanzahl)`
    `void` | `setAenderungszeitpunkt(String aenderungszeitpunkt)`
    `void` | `setArznei(Arznei arznei)`
    `void` | `setDosierung(Dosierung dosierung)`
    `void` | `setEinnahmedauer(Einnahmedauer einnahmedauer)`
    `void` | `setEinnahmeende(String einnahmeende)`
    `void` | `setEinnahmestart(String einnahmestart)`
    `void` | `setKennzeichenTeilabgabe(Code kennzeichenTeilabgabe)`
    `void` | `setMetadaten(Metadaten metadaten)`
    `void` | `setStatus(String status)`
    `void` | `setTherapieart(Code therapieart)`
    `void` | `setValidierungsId(String validierungsId)`
    `void` | `setVerordnungId(String verordnungId)`
    `void` | `setZusatzinformationen(Zusatzinformation zusatzinformationen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Abgabe

          public Abgabe()

  - ### Method Detail

    - #### getMetadaten

          public Metadaten getMetadaten()

      Metadaten des Dokuments. Siehe `Metadaten`.
      Eingabebedingung:
      Erfassung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Metadaten.

    - #### getAbgabeId

          public String getAbgabeId()

      Id des MedikationAbgabe-Entry.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        AbgabeId.

    - #### getValidierungsId

          public String getValidierungsId()

      ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
      Tritt bei der Validierung eines Eingangsparameters ein Fehler auf, so wird in der retournierten Meldung (innerhalb von `BackendMeldung`, `ElgaadExceptionContent` oder `ElgaadInvalidParameterExceptionContent`) auch die Validierungs-ID des direkt oder indirekt enthaltenden Objekts angeführt (sofern vorhanden). Die Versorgung selbst, also auch die Sicherstellung, dass die Ids eindeutig sind, liegt in der Verantwortung der VPSWH.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        ValidierungsId.

    - #### getStatus

          public String getStatus()

      Status der Abgabe.
      Eingabebedingung:
      Erfassung: Keine Angabe. Ein eventuell bei der Erfassung der Abgabe angegebener Wert wird ignoriert.
      Ausgabebedingung: Muss.
      mögliche Werte: siehe `AbgabeStatusTypConstants`.
      Returns:
        Status.

    - #### getVerordnungId

          public String getVerordnungId()

      Id der Verordnung, auf der die Abgabe basiert.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        VerordnungId.

    - #### getKennzeichenTeilabgabe

          public Code getKennzeichenTeilabgabe()

      Kennzeichen, ob die Abgabe eine zugrundeliegende Verordnung vollständig oder partiell (zum Beispiel im Falle einer Bestellung) erfüllt. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationAbgabeArt_VS
      Returns:
        Kennzeichen Teilabgabe.

    - #### getAbgegebenePackungsanzahl

          public Integer getAbgegebenePackungsanzahl()

      Die abgegebene Packungsanzahl der Medikation.
      Eingabebedingung:
      Erfassung: Kann. Wird bei Nichtangabe automatisch befüllt (Defaultwert: 1)
      Ausgabebedingung: Muss.
      Format: Integer
      Returns:
        Abgegebene Packungsanzahl.

    - #### getArznei

          public Arznei getArznei()

      Arznei die abgegeben wird. Siehe `Arznei`.
      Eingabebedingung:
      Erfassung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Arznei.

    - #### getZusatzinformationen

          public Zusatzinformation getZusatzinformationen()

      Zusatzinformation zur Abgabe. Siehe `Zusatzinformation`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Zusatzinformationen.

    - #### getEinnahmestart

          public String getEinnahmestart()

      Startzeitpunkt der Einnahme.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Einnahmestart.

    - #### getEinnahmeende

          public String getEinnahmeende()

      Endzeitpunkt der Einnahme.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Einnahmeende.

    - #### getEinnahmedauer

          public Einnahmedauer getEinnahmedauer()

      Dauer der Einnahme. Siehe `Einnahmedauer`.
      Eingabebedingung:
      Erfassung: Bedingt. Darf nur angegeben werden, wenn weder Einnahmestart noch Einnahmeende angegeben wurden.
      Ausgabebedingung: Bedingt. Nur möglich, wenn weder Einnahmestart noch Einnahmeende angegeben wurden.
      Returns:
        Einnahmeende.

    - #### getDosierung

          public Dosierung getDosierung()

      Dosierung der Abgabe. Siehe `Dosierung`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Dosierung.

    - #### getTherapieart

          public Code getTherapieart()

      Therapieart. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationTherapieArt_VS (z.B. Code EINZEL)
      Returns:
        Therapieart.

    - #### getAenderungszeitpunkt

          public String getAenderungszeitpunkt()

      Zeitpunkt der Änderung.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Äderungszeitpunkt.

    - #### setMetadaten

          public void setMetadaten(Metadaten metadaten)

    - #### setAbgabeId

          public void setAbgabeId(String abgabeId)

    - #### setVerordnungId

          public void setVerordnungId(String verordnungId)

    - #### setValidierungsId

          public void setValidierungsId(String validierungsId)

    - #### setStatus

          public void setStatus(String status)

    - #### setKennzeichenTeilabgabe

          public void setKennzeichenTeilabgabe(Code kennzeichenTeilabgabe)

    - #### setAbgegebenePackungsanzahl

          public void setAbgegebenePackungsanzahl(Integer abgegebenePackungsanzahl)

    - #### setArznei

          public void setArznei(Arznei arznei)

    - #### setZusatzinformationen

          public void setZusatzinformationen(Zusatzinformation zusatzinformationen)

    - #### setEinnahmestart

          public void setEinnahmestart(String einnahmestart)

    - #### setEinnahmeende

          public void setEinnahmeende(String einnahmeende)

    - #### setEinnahmedauer

          public void setEinnahmedauer(Einnahmedauer einnahmedauer)

    - #### setDosierung

          public void setDosierung(Dosierung dosierung)

    - #### setTherapieart

          public void setTherapieart(Code therapieart)

    - #### setAenderungszeitpunkt

          public void setAenderungszeitpunkt(String aenderungszeitpunkt)